package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.helper.Caption;

public class KelahiranVO extends MedicalRecordTransactionVO {
	@Column(name = "umurKehamilan", nullable = true)
	@Caption(value = "Umur Kehamilan")
	private Integer umurKehamilan;
	
	@ManyToOne
	@JoinColumn(name = "ObjectBantuanPernapasanFk")
	@NotNull(message = "Bantuan Pernapasan tidak boleh kosong")
	private StatusYaTidakVO bantuanPernapasan;
	
	@Column(name = "ObjectBantuanPernapasanFk", insertable = false, updatable = false, nullable = true)
	private Integer bantuanPernapasanId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectProsesKelahiranFk")
	@NotNull(message = "Proses Kelahiran tidak boleh kosong")
	private ProsesKelahiranVO prosesKelahiran;
	
	@Column(name = "ObjectProsesKelahiranFk", insertable = false, updatable = false, nullable = true)
	private Integer prosesKelahiranId;
	
	@Column(name = "indikasi", nullable = true)
	@Caption(value = "Umur Kehamilan")
	private String indikasi;
	
	@Column(name = "dibantuOleh", nullable = true)
	@Caption(value = "Dibantu Oleh")
	private String dibantuOleh;
	
	@Column(name = "tempat", nullable = true)
	@Caption(value = "Tempat")
	private String tempat;
	
	@Column(name = "anakMenangis", nullable = true)
	@Caption(value = "Anak Menangis")
	private String anakMenangis;
	
	@Column(name = "beratLahir", nullable = true)
	@Caption(value = "Berat Lahir")
	private Integer beratLahir;
	
	@Column(name = "lingkarKepala", nullable = true)
	@Caption(value = "Lingkar Kepala")
	private Integer lingkarKepala;
	
	@Column(name = "panjang", nullable = true)
	@Caption(value = "panjang")
	private Integer panjang;
	
	@Column(name = "nilaiApgar", nullable = true)
	@Caption(value = "Nilai Apgar")
	private Integer nilaiApgar;

	public Integer getUmurKehamilan() {
		return umurKehamilan;
	}

	public void setUmurKehamilan(Integer umurKehamilan) {
		this.umurKehamilan = umurKehamilan;
	}

	public ProsesKelahiranVO getProsesKelahiran() {
		return prosesKelahiran;
	}

	public void setProsesKelahiran(ProsesKelahiranVO prosesKelahiran) {
		this.prosesKelahiran = prosesKelahiran;
	}

	public String getIndikasi() {
		return indikasi;
	}

	public void setIndikasi(String indikasi) {
		this.indikasi = indikasi;
	}

	public String getDibantuOleh() {
		return dibantuOleh;
	}

	public void setDibantuOleh(String dibantuOleh) {
		this.dibantuOleh = dibantuOleh;
	}

	public String getTempat() {
		return tempat;
	}

	public void setTempat(String tempat) {
		this.tempat = tempat;
	}

	public StatusYaTidakVO getBantuanPernapasan() {
		return bantuanPernapasan;
	}

	public void setBantuanPernapasan(StatusYaTidakVO bantuanPernapasan) {
		this.bantuanPernapasan = bantuanPernapasan;
	}

	public String getAnakMenangis() {
		return anakMenangis;
	}

	public void setAnakMenangis(String anakMenangis) {
		this.anakMenangis = anakMenangis;
	}

	public Integer getBeratLahir() {
		return beratLahir;
	}

	public void setBeratLahir(Integer beratLahir) {
		this.beratLahir = beratLahir;
	}

	public Integer getLingkarKepala() {
		return lingkarKepala;
	}

	public void setLingkarKepala(Integer lingkarKepala) {
		this.lingkarKepala = lingkarKepala;
	}

	public Integer getPanjang() {
		return panjang;
	}

	public void setPanjang(Integer panjang) {
		this.panjang = panjang;
	}

	public Integer getNilaiApgar() {
		return nilaiApgar;
	}

	public void setNilaiApgar(Integer nilaiApgar) {
		this.nilaiApgar = nilaiApgar;
	}

}
